org.apache.commons.ssl

## Class PEMItem

- java.lang.Object
- - org.apache.commons.ssl.PEMItem

    public class PEMItem
    extends java.lang.Object

Since:
  13-Aug-2006
Author:
  Credit Union Central of British Columbia, www.cucbc.com, juliusdavies@cucbc.com

### Field Summary

Fields
`java.lang.String` `cipher`
`static java.lang.String` `DEK_INFO`
`java.lang.String` `dekInfo`
`private byte[]` `derBytes`
`boolean` `des2`
`byte[]` `iv`
`int` `keySizeInBits`
`java.lang.String` `mode`
`java.lang.String` `pemType`
`java.util.Map` `properties`

### Constructor Summary

Constructors
Constructor and Description
`PEMItem(byte[] derBytes, java.lang.String type)`
`PEMItem(byte[] derBytes, java.lang.String type, java.util.Map properties)`

### Method Summary

Methods
`byte[]` `getDerBytes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEK_INFO

    public static final java.lang.String DEK_INFO

See Also:
  Constant Field Values

#### derBytes

    private final byte[] derBytes

#### pemType

    public final java.lang.String pemType

#### properties

    public final java.util.Map properties

#### dekInfo

    public final java.lang.String dekInfo

#### iv

    public final byte[] iv

#### cipher

    public final java.lang.String cipher

#### des2

    public final boolean des2

#### mode

    public final java.lang.String mode

#### keySizeInBits

    public final int keySizeInBits

### Constructor Detail

#### PEMItem

    public PEMItem(byte[] derBytes,
           java.lang.String type)

#### PEMItem

    public PEMItem(byte[] derBytes,
           java.lang.String type,
           java.util.Map properties)

### Method Detail

#### getDerBytes

    public byte[] getDerBytes()